Availability APIs

Get Bulk Availabilities

post
/avail/v3/bulk-availability

Retrieves availabilities for given item and set of nodes with other filters for a tenant.

Authorizations
X-API-KeystringRequired

To access any of the APIs unless mentioned otherwise will need API Key input for authentication purpose. To get your API Key, please get in touch with OnePint team.

Query parameters
returnAtpBySegmentsbooleanOptional

Indicates whether the user needs the ATP (Available to Promise) belonging to each supply segment.

Default: falseExample: true
demandSegmentstringOptional

Identifies the segment from which demand has come.

Example: B2B_DEMAND
considerFutureAtpbooleanOptional

Indicates whether Future ATP (Available to Promise) should be considered

Default: falseExample: true
Body
availTypestringOptional

Specifies the type of the availability rule.

Example: ON_HAND_PROMISE
considerMinAtpbooleanOptional

Specifies whether the minimum ATP of the node and the network should be considered when calculating node ATP. If the minimum ATP is not passed, the default value of this flag will be retrieved from the properties file.

Example: true
considerSafetyStockbooleanOptional

Specifies whether the safety stock is to be considered or not during the availability calculation.

Example: true
Responses
chevron-right
200

A 200 success code indicates that the availabilities were fetched successfully.

application/json
successbooleanOptional

Flag indicating if the request is successful.

Example: true
timestampstring · date-timeOptional

Response timestamp.

Example: 2023-01-24T07:02:38.50405788Z
messagestringOptional

Message conveying success, error, warnings, or any other relevant information.

Example: Request completed successfully.
post
/avail/v3/bulk-availability

Last updated

Was this helpful?